
Redmine - Defect #5615

Bots filter error

2010-05-29 06:30 - James Turnbull

Status: Closed Start date: 2010-05-29

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version: 0.9.4

Description

On Rails 2.3.5 and Redmine trunk with Bots Filter 1.02 I get this error about 6-10 times a day:

Controller/projects#(template only) raisedNoMethodError

NoMethodError: undefined method `match' for nil:NilClass

/opt/projects.puppetlabs.com/vendor/plugins/redmine_bots_filter/lib/bots_filter.rb:44:in `bot_request?'

/opt/projects.puppetlabs.com/vendor/plugins/redmine_bots_filter/lib/bots_filter.rb:19:in `bots_filter'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:178:in `send'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:178:in `evaluate_method'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/callbacks.rb:166:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:225:in `call'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:629:in `run_before_filters'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:615:in `call_filters'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/usr/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/var/lib/gems/1.8/gems/activesupport-2.3.5/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/rescue.rb:160:in `perform_action_without_flash'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/flash.rb:146:in `perform_action_trace'

/var/lib/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/base.rb:532:in `send'

Related issues:

Related to Redmine - Defect #5056: Bots Filter plugin should include some COP... Closed 2010-03-11

History

#1 - 2010-05-29 08:22 - Felix Schäfer

- Assignee changed from Eric Davis to Jean-Philippe Lang

#2 - 2013-05-02 00:35 - Jean-Baptiste Barth

- Status changed from New to Closed

Pretty sure we can safely close this one. Sorry for the noise.
